MOHAA(6)

NAME
mohaa - OpenMoHAA, a re-implementation of "Medal of Honor: Allied Assault"

SYNOPSIS
mohaa [-h|--help] [-q|--quiet] [--expansion name] [debugging options] [+set option value]...

DESCRIPTION
Medal of Honor: Allied Assault is a 2002 first-person shooter video game that simulates infantry combat in the European and North African theaters during World War II.

OPTIONS
The wrapper script used for OpenMoHAA in Debian accepts these options:

-h, --help
    Display a short help summary

-q, --quiet
    Disable all console output

--expansion name
    play an expansion pack, spearhead or breakthrough. This requires that additional data files are installed.

--debugger=DEBUGGER
    Prepend a debugger or other prefix (such as strace) to the engine command line

--print-backtrace
    Use gdb(1) to get a backtrace if the engine crashes (the gdb package must be installed)

Any console command can also be prefixed with + and used as a command-line option (press Shift+Esc to access the in-game console), including:

+set option value
    Set an option (see below for some options)

+connect server[:port]
    Connect to a server

Options that can be set with +set (note that this is not a full list!) include:

r_fullscreen <bool>
    1: Play in fullscreen mode; 0: Play in window mode

r_mode <num>
    Sets the screen resolution mode. Set num to -1 to use a customized resolution set via r_customheight and r_customwidth, or -2 to use your normal desktop resolution.

r_customwidth <pixels>
    Use pixels as width if r_mode is set to -1.

r_customheight <pixels>
    Use pixels as height if r_mode is set to -1.

FILES

/usr/share/games/mohaa/
    Game data files.

~/.openmohaa/main
    Configuration and state for the main game

~/.openmohaa/mainta
    Configuration and state for Spearhead expansion pack, if installed

~/.openmohaa/maintt
    Configuration and state for Breakthrough expansion pack, if installed

AUTHOR
"Medal of Honor: Allied Assault" was written by 2015 Inc., based on id Software's Quake III Arena engine. The engine used in Debian is OpenMoHAA, maintained by the OpenMoHAA community, with various enhancements taken from ioquake3.

This manual page was written by Sébastien Noel <sebastien@twolife.be>, based on the openjk(6) one, for the Debian project (but may be used by others).